Menu MenuBar {
  -
  Fserve Settings
  .Setup all:setup2 fserve all
  .-
  .Max Fserves:_fserve.max.serve
  .Max Sends
  ..Total:_fserve.max.sends.total
  ..Each:_fserve.max.sends.each
  .Max Queues
  ..Total:_fserve.max.queues.total
  ..Each:_fserve.max.queues.each
  .Max Gets
  ..Total:_fserve.max.gets.total
  ..Each:_fserve.max.gets.each
  .-
  .IAL Update
  ..$iif($R.Set(IAL.Update,Status) == On,$on,$off) On:_ial.update.status.on
  ..$iif($R.Set(IAL.Update,Status) == On,$off,$on) Off:_ial.update.status.off
  .Min CPS
  ..Min CPS:_min.cps.min.cps
  ..-
  ..$iif($R.Set(Min.CPS,Status) == On,$on,$off) On:_min.cps.status.on
  ..$iif($R.Set(Min.CPS,Status) == On,$off,$on) Off:_min.cps.status.off
  -
  Trigger Setup
  .Trigger #1
  ..Set Everything:setup2 fserve 1
  ..View Settings:info fserve 1
  ..-
  ..Trigger:_fserve.trigger 1
  ..Root Dir:_fserve.root.dir 1
  ..Welcome File
  ...$iif($R.Set(Fserve,Welcome.File.1) != Off && $R.Set(Fserve,Welcome.File.1) != $null,$on,$off) On:_fserve.welcome.file.on 1
  ...$iif($R.Set(Fserve,Welcome.File.1) != Off && $R.Set(Fserve,Welcome.File.1) != $null,$off,$on) Off:_fserve.welcome.file.off 1
  ..Fserve Note:_fserve.note 1
  ..Ad Delay:_fserve.ad.delay 1
  ..DCC Watch
  ...$iif($R.Set(Fserve,DCC.Watch.1) == On,$on,$off) On:_fserve.dcc.watch.on 1
  ...$iif($R.Set(Fserve,DCC.Watch.1) == On,$off,$on) Off:_fserve.dcc.watch.off 1
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(Fserve,Channel.1.1),1) == $chr(35),$R.Set(Fserve,Channel.1.1)):.
  ....-
  ....Change:_fserve.channel.1.on 1
  ....$iif($left($R.Set(Fserve,Channel.1.1),1) == $chr(35),Disable):_fserve.channel.1.off 1
  ...Channel #2
  ....$iif($left($R.Set(Fserve,Channel.2.1),1) == $chr(35),$R.Set(Fserve,Channel.2.1)):.
  ....-
  ....Change:_fserve.channel.2.on 1
  ....$iif($left($R.Set(Fserve,Channel.2.1),1) == $chr(35),Disable):_fserve.channel.2.off 1
  ...Channel #3
  ....$iif($left($R.Set(Fserve,Channel.3.1),1) == $chr(35),$R.Set(Fserve,Channel.3.1)):.
  ....-
  ....Change:_fserve.channel.3.on 1
  ....$iif($left($R.Set(Fserve,Channel.3.1),1) == $chr(35),Disable):_fserve.channel.3.off 1
  ...Channel #4
  ....$iif($left($R.Set(Fserve,Channel.4.1),1) == $chr(35),$R.Set(Fserve,Channel.4.1)):.
  ....-
  ....Change:_fserve.channel.4.on 1
  ....$iif($left($R.Set(Fserve,Channel.4.1),1) == $chr(35),Disable):_fserve.channel.4.off 1
  ...Channel #5
  ....$iif($left($R.Set(Fserve,Channel.5.1),1) == $chr(35),$R.Set(Fserve,Channel.5.1)):.
  ....-
  ....Change:_fserve.channel.5.on 1
  ....$iif($left($R.Set(Fserve,Channel.5.1),1) == $chr(35),Disable):_fserve.channel.5.off 1
  ...-
  ...All Channels
  ....$iif($R.Set(Fserve,Channel.All.1) == On,$on,$off) On:_fserve.channel.all.on 1
  ....$iif($R.Set(Fserve,Channel.All.1) == On,$off,$on) Off:_fserve.channel.all.off 1
  ..-
  ..Status
  ...$iif($R.Set(Fserve,Status.1) == On,$on,$off) On:_fserve.status.on 1
  ...$iif($R.Set(Fserve,Status.1) == On,$off,$on) Off:_fserve.status.off 1
  .Trigger #2
  ..View Settings:info fserve 2
  ..Set Everything:setup2 fserve 2
  ..-
  ..Trigger:_fserve.trigger 2
  ..Root Dir:_fserve.root.dir 2
  ..Wecome File
  ...$iif($R.Set(Fserve,Welcome.File.2) != Off && $R.Set(Fserve,Welcome.File.2) != $null,$on,$off) On:_fserve.welcome.file.on 2
  ...$iif($R.Set(Fserve,Welcome.File.2) != Off && $R.Set(Fserve,Welcome.File.2) != $null,$off,$on) Off:_fserve.welcome.file.off 2
  ..Fserve Note:_fserve.note 2
  ..Ad Delay:_fserve.ad.delay 2
  ..DCC Watch
  ...$iif($R.Set(Fserve,DCC.Watch.2) == On,$on,$off) On:_fserve.dcc.watch.on 2
  ...$iif($R.Set(Fserve,DCC.Watch.2) == On,$off,$on) Off:_fserve.dcc.watch.off 2
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(Fserve,Channel.1.2),1) == $chr(35),$R.Set(Fserve,Channel.1.2)):.
  ....-
  ....Change:_fserve.channel.1.on 2
  ....$iif($left($R.Set(Fserve,Channel.1.2),1) == $chr(35),Disable):_fserve.channel.1.off 2
  ...Channel #2
  ....$iif($left($R.Set(Fserve,Channel.2.2),1) == $chr(35),$R.Set(Fserve,Channel.2.2)):.
  ....-
  ....Change:_fserve.channel.2.on 2
  ....$iif($left($R.Set(Fserve,Channel.2.2),1) == $chr(35),Disable):_fserve.channel.2.off 2
  ...Channel #3
  ....$iif($left($R.Set(Fserve,Channel.3.2),1) == $chr(35),$R.Set(Fserve,Channel.3.2)):.
  ....-
  ....Change:_fserve.channel.3.on 2
  ....$iif($left($R.Set(Fserve,Channel.3.2),1) == $chr(35),Disable):_fserve.channel.3.off 2
  ...Channel #4
  ....$iif($left($R.Set(Fserve,Channel.4.2),1) == $chr(35),$R.Set(Fserve,Channel.4.2)):.
  ....-
  ....Change:_fserve.channel.4.on 2
  ....$iif($left($R.Set(Fserve,Channel.4.2),1) == $chr(35),Disable):_fserve.channel.4.off 2
  ...Channel #5
  ....$iif($left($R.Set(Fserve,Channel.5.2),1) == $chr(35),$R.Set(Fserve,Channel.5.2)):.
  ....-
  ....Change:_fserve.channel.5.on 2
  ....$iif($left($R.Set(Fserve,Channel.5.2),1) == $chr(35),Disable):_fserve.channel.5.off 2
  ...-
  ...All Channels
  ....$iif($R.Set(Fserve,Channel.All.2) == On,$on,$off) On:_fserve.channel.all.on 2
  ....$iif($R.Set(Fserve,Channel.All.2) == On,$off,$on) Off:_fserve.channel.all.off 2
  ..-
  ..Status
  ...$iif($R.Set(Fserve,Status.2) == On,$on,$off) On:_fserve.status.on 2
  ...$iif($R.Set(Fserve,Status.2) == On,$off,$on) Off:_fserve.status.off 2
  .Trigger #3
  ..Set Everything:setup2 fserve 3
  ..View Settings:info fserve 3
  ..-
  ..Trigger:_fserve.trigger 3
  ..Root Dir:_fserve.root.dir 3
  ..Wecome File
  ...$iif($R.Set(Fserve,Welcome.File.3) != Off && $R.Set(Fserve,Welcome.File.3) != $null,$on,$off) On:_fserve.welcome.file.on 3
  ...$iif($R.Set(Fserve,Welcome.File.3) != Off && $R.Set(Fserve,Welcome.File.3) != $null,$off,$on) Off:_fserve.welcome.file.off 3
  ..Fserve Note:_fserve.note 3
  ..Ad Delay:_fserve.ad.delay 3
  ..DCC Watch
  ...$iif($R.Set(Fserve,DCC.Watch.3) == On,$on,$off) On:_fserve.dcc.watch.on 3
  ...$iif($R.Set(Fserve,DCC.Watch.3) == On,$off,$on) Off:_fserve.dcc.watch.off 3
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(Fserve,Channel.1.3),1) == $chr(35),$R.Set(Fserve,Channel.1.3)):.
  ....-
  ....Change:_fserve.channel.1.on 3
  ....$iif($left($R.Set(Fserve,Channel.1.3),1) == $chr(35),Disable):_fserve.channel.1.off 3
  ...Channel #2
  ....$iif($left($R.Set(Fserve,Channel.2.3),1) == $chr(35),$R.Set(Fserve,Channel.2.3)):.
  ....-
  ....Change:_fserve.channel.2.on 3
  ....$iif($left($R.Set(Fserve,Channel.2.3),1) == $chr(35),Disable):_fserve.channel.2.off 3
  ...Channel #3
  ....$iif($left($R.Set(Fserve,Channel.3.3),1) == $chr(35),$R.Set(Fserve,Channel.3.3)):.
  ....-
  ....Change:_fserve.channel.3.on 3
  ....$iif($left($R.Set(Fserve,Channel.3.3),1) == $chr(35),Disable):_fserve.channel.3.off 3
  ...Channel #4
  ....$iif($left($R.Set(Fserve,Channel.4.3),1) == $chr(35),$R.Set(Fserve,Channel.4.3)):.
  ....-
  ....Change:_fserve.channel.4.on 3
  ....$iif($left($R.Set(Fserve,Channel.4.3),1) == $chr(35),Disable):_fserve.channel.4.off 3
  ...Channel #5
  ....$iif($left($R.Set(Fserve,Channel.5.3),1) == $chr(35),$R.Set(Fserve,Channel.5.3)):.
  ....-
  ....Change:_fserve.channel.5.on 3
  ....$iif($left($R.Set(Fserve,Channel.5.3),1) == $chr(35),Disable):_fserve.channel.5.off 3
  ...-
  ...All Channels
  ....$iif($R.Set(Fserve,Channel.All.3) == On,$on,$off) On:_fserve.channel.all.on 3
  ....$iif($R.Set(Fserve,Channel.All.3) == On,$off,$on) Off:_fserve.channel.all.off 3
  ..-
  ..Status
  ...$iif($R.Set(Fserve,Status.3) == On,$on,$off) On:_fserve.status.on 3
  ...$iif($R.Set(Fserve,Status.3) == On,$off,$on) Off:_fserve.status.off 3
  .Trigger #4
  ..Set Everything:setup2 fserve 4
  ..View Settings:info fserve 4
  ..-
  ..Trigger:_fserve.trigger 4
  ..Root Dir:_fserve.root.dir 4
  ..Wecome File
  ...$iif($R.Set(Fserve,Welcome.File.4) != Off && $R.Set(Fserve,Welcome.File.4) != $null,$on,$off) On:_fserve.welcome.file.on 4
  ...$iif($R.Set(Fserve,Welcome.File.4) != Off && $R.Set(Fserve,Welcome.File.4) != $null,$off,$on) Off:_fserve.welcome.file.off 4
  ..Fserve Note:_fserve.note 4
  ..Ad Delay:_fserve.ad.delay 4
  ..DCC Watch
  ...$iif($R.Set(Fserve,DCC.Watch.4) == On,$on,$off) On:_fserve.dcc.watch.on 4
  ...$iif($R.Set(Fserve,DCC.Watch.4) == On,$off,$on) Off:_fserve.dcc.watch.off 4
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(Fserve,Channel.1.4),1) == $chr(35),$R.Set(Fserve,Channel.1.4)):.
  ....-
  ....Change:_fserve.channel.1.on 4
  ....$iif($left($R.Set(Fserve,Channel.1.4),1) == $chr(35),Disable):_fserve.channel.1.off 4
  ...Channel #2
  ....$iif($left($R.Set(Fserve,Channel.2.4),1) == $chr(35),$R.Set(Fserve,Channel.2.4)):.
  ....-
  ....Change:_fserve.channel.2.on 4
  ....$iif($left($R.Set(Fserve,Channel.2.4),1) == $chr(35),Disable):_fserve.channel.2.off 4
  ...Channel #3
  ....$iif($left($R.Set(Fserve,Channel.3.4),1) == $chr(35),$R.Set(Fserve,Channel.3.4)):.
  ....-
  ....Change:_fserve.channel.3.on 4
  ....$iif($left($R.Set(Fserve,Channel.3.4),1) == $chr(35),Disable):_fserve.channel.3.off 4
  ...Channel #4
  ....$iif($left($R.Set(Fserve,Channel.4.4),1) == $chr(35),$R.Set(Fserve,Channel.4.4)):.
  ....-
  ....Change:_fserve.channel.4.on 4
  ....$iif($left($R.Set(Fserve,Channel.4.4),1) == $chr(35),Disable):_fserve.channel.4.off 4
  ...Channel #5
  ....$iif($left($R.Set(Fserve,Channel.5.4),1) == $chr(35),$R.Set(Fserve,Channel.5.4)):.
  ....-
  ....Change:_fserve.channel.5.on 4
  ....$iif($left($R.Set(Fserve,Channel.5.4),1) == $chr(35),Disable):_fserve.channel.5.off 4
  ...-
  ...All Channels
  ....$iif($R.Set(Fserve,Channel.All.4) == On,$on,$off) On:_fserve.channel.all.on 4
  ....$iif($R.Set(Fserve,Channel.All.4) == On,$off,$on) Off:_fserve.channel.all.off 4
  ..-
  ..Status
  ...$iif($R.Set(Fserve,Status.4) == On,$on,$off) On:_fserve.status.on 4
  ...$iif($R.Set(Fserve,Status.4) == On,$off,$on) Off:_fserve.status.off 4
  .Trigger #5
  ..Set Everything:setup2 fserve 5
  ..View Settings:info fserve 5
  ..-
  ..Trigger:_fserve.trigger 5
  ..Root Dir:_fserve.root.dir 5
  ..Wecome File
  ...$iif($R.Set(Fserve,Welcome.File.5) != Off && $R.Set(Fserve,Welcome.File.5) != $null,$on,$off) On:_fserve.welcome.file.on 5
  ...$iif($R.Set(Fserve,Welcome.File.5) != Off && $R.Set(Fserve,Welcome.File.5) != $null,$off,$on) Off:_fserve.welcome.file.off 5
  ..Fserve Note:_fserve.note 5
  ..Ad Delay:_fserve.ad.delay 5
  ..DCC Watch
  ...$iif($R.Set(Fserve,DCC.Watch.5) == On,$on,$off) On:_fserve.dcc.watch.on 5
  ...$iif($R.Set(Fserve,DCC.Watch.5) == On,$off,$on) Off:_fserve.dcc.watch.off 5
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(Fserve,Channel.1.5),1) == $chr(35),$R.Set(Fserve,Channel.1.5)):.
  ....-
  ....Change:_fserve.channel.1.on 5
  ....$iif($left($R.Set(Fserve,Channel.1.5),1) == $chr(35),Disable):_fserve.channel.1.off 5
  ...Channel #2
  ....$iif($left($R.Set(Fserve,Channel.2.5),1) == $chr(35),$R.Set(Fserve,Channel.2.5)):.
  ....-
  ....Change:_fserve.channel.2.on 5
  ....$iif($left($R.Set(Fserve,Channel.2.5),1) == $chr(35),Disable):_fserve.channel.2.off 5
  ...Channel #3
  ....$iif($left($R.Set(Fserve,Channel.3.5),1) == $chr(35),$R.Set(Fserve,Channel.3.5)):.
  ....-
  ....Change:_fserve.channel.3.on 5
  ....$iif($left($R.Set(Fserve,Channel.3.5),1) == $chr(35),Disable):_fserve.channel.3.off 5
  ...Channel #4
  ....$iif($left($R.Set(Fserve,Channel.4.5),1) == $chr(35),$R.Set(Fserve,Channel.4.5)):.
  ....-
  ....Change:_fserve.channel.4.on 5
  ....$iif($left($R.Set(Fserve,Channel.4.5),1) == $chr(35),Disable):_fserve.channel.4.off 5
  ...Channel #5
  ....$iif($left($R.Set(Fserve,Channel.5.5),1) == $chr(35),$R.Set(Fserve,Channel.5.5)):.
  ....-
  ....Change:_fserve.channel.5.on 5
  ....$iif($left($R.Set(Fserve,Channel.5.5),1) == $chr(35),Disable):_fserve.channel.5.off 5
  ...-
  ...All Channels
  ....$iif($R.Set(Fserve,Channel.All.5) == On,$on,$off) On:_fserve.channel.all.on 5
  ....$iif($R.Set(Fserve,Channel.All.5) == On,$off,$on) Off:_fserve.channel.all.off 5
  ..-
  ..Status
  ...$iif($R.Set(Fserve,Status.5) == On,$on,$off) On:_fserve.status.on 5
  ...$iif($R.Set(Fserve,Status.5) == On,$off,$on) Off:_fserve.status.off 5
  .-
  .Reset
  ..Stats:if ($$?!="Do you want to reset fserve Stats?" == $true) { W.Set Fserve Access 0 | W.Set Fserve Send.CPS n/a | W.Set Fserve Send.Bytes 0 | W.Set Fserve Send.Total 0 | W.Set Fserve Send.Fails 0 | W.Set Fserve Get.CPS n/a | W.Set Fserve Get.Bytes 0 | W.Set Fserve Get.Total 0 | W.Set Fserve Get.Fails 0 }
  ..Top10:{
    if ($$?!="Do you want to reset Top10?" == $true) {
      W.Set Top10 DL.1 0 | W.Set Top10 Path.1 <none yet> | W.Set Top10 DL.2 0 | W.Set Top10 Path.2 <none yet> | W.Set Top10 DL.3 0 | W.Set Top10 Path.3 <none yet> | W.Set Top10 DL.4 0 | W.Set Top10 Path.4 <none yet> | W.Set Top10 DL.5 0 | W.Set Top10 Path.5 <none yet>
      W.Set Top10 DL.6 0 | W.Set Top10 Path.6 <none yet> | W.Set Top10 DL.7 0 | W.Set Top10 Path.7 <none yet> | W.Set Top10 DL.8 0 | W.Set Top10 Path.8 <none yet> | W.Set Top10 DL.9 0 | W.Set Top10 Path.9 <none yet> | W.Set Top10 DL.10 0 | W.Set Top10 Path.10 <none yet>
      write -c $mircdirDocs\Top10.ini
    }
  }

  Fserve Status
  .Trigger #1
  ..Start System:advertise start fserve 1
  ..Stop System:advertise stop fserve 1
  ..-
  ..Just Say Ad:advertise say fserve 1
  .Trigger #2
  ..Start System:advertise start fserve 2
  ..Stop System:advertise stop fserve 2
  ..-
  ..Just Say Ad:advertise say fserve 2
  .Trigger #3
  ..Start System:advertise start fserve 3
  ..Stop System:advertise stop fserve 3
  ..-
  ..Just Say Ad:advertise say fserve 3
  .Trigger #4
  ..Start System:advertise start fserve 4
  ..Stop System:advertise stop fserve 4
  ..-
  ..Just Say Ad:advertise say fserve 4
  .Trigger #5
  ..Start System:advertise start fserve 5
  ..Stop System:advertise stop fserve 5
  ..-
  ..Just Say Ad:advertise say fserve 5
  -
  FTP Settings
  .FTP #1
  ..Set Everything:setup2 ftp 1
  ..View Settings:info ftp 1
  ..-
  ..Ratio
  ...$iif($R.Set(FTP,Ratio.1) isnum,$on,$off) On:_ftp.ratio.on 1
  ...$iif($R.Set(FTP,Ratio.1) !isnum,$on,$off) Off:_ftp.ratio.off 1
  ..Login:_ftp.login 1
  ..Password:_ftp.password 1
  ..Ad Delay:_ftp.ad.delay 1
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(FTP,Channel.1.1),1) == $chr(35),$R.Set(FTP,Channel.1.1)):.
  ....-
  ....Change:_ftp.channel.1.on 1
  ....$iif($left($R.Set(FTP,Channel.1.1),1) == $chr(35),Disable):_ftp.channel.1.off 1
  ...Channel #2
  ....$iif($left($R.Set(FTP,Channel.2.1),1) == $chr(35),$R.Set(FTP,Channel.2.1)):.
  ....-
  ....Change:_ftp.channel.2.on 1
  ....$iif($left($R.Set(FTP,Channel.2.1),1) == $chr(35),Disable):_ftp.channel.2.off 1
  ...Channel #3
  ....$iif($left($R.Set(FTP,Channel.3.1),1) == $chr(35),$R.Set(FTP,Channel.3.1)):.
  ....-
  ....Change:_ftp.channel.3.on 1
  ....$iif($left($R.Set(FTP,Channel.3.1),1) == $chr(35),Disable):_ftp.channel.3.off 1
  ...Channel #4
  ....$iif($left($R.Set(FTP,Channel.4.1),1) == $chr(35),$R.Set(FTP,Channel.4.1)):.
  ....-
  ....Change:_ftp.channel.4.on 1
  ....$iif($left($R.Set(FTP,Channel.4.1),1) == $chr(35),Disable):_ftp.channel.4.off 1
  ...Channel #5
  ....$iif($left($R.Set(FTP,Channel.5.1),1) == $chr(35),$R.Set(FTP,Channel.5.1)):.
  ....-
  ....Change:_ftp.channel.5.on 1
  ....$iif($left($R.Set(FTP,Channel.5.1),1) == $chr(35),Disable):_ftp.channel.5.off 1
  ...-
  ...All Channels
  ....$iif($R.Set(FTP,Channel.All.1) == On,$on,$off) On:_ftp.channel.all.on 1
  ....$iif($R.Set(FTP,Channel.All.1) == On,$off,$on) Off:_ftp.channel.all.off 1
  ..Note:_ftp.note 1
  ..Address
  ...Auto:_ftp.address.auto 1
  ...Specify:_ftp.address.specify 1
  ..Port:_ftp.port 1
  ..Max Users:_ftp.max.users 1
  .FTP #2
  ..Set Everything:setup2 ftp 2
  ..View Settings:info ftp 2
  ..-
  ..Ratio
  ...$iif($R.Set(FTP,Ratio.2) isnum,$on,$off) On:_ftp.ratio.on 2
  ...$iif($R.Set(FTP,Ratio.2) !isnum,$on,$off) Off:_ftp.ratio.off 2
  ..Login:_ftp.login 2
  ..Password:_ftp.password 2
  ..Ad Delay:_ftp.ad.delay 2
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(FTP,Channel.1.2),1) == $chr(35),$R.Set(FTP,Channel.1.2)):.
  ....-
  ....Change:_ftp.channel.1.on 2
  ....$iif($left($R.Set(FTP,Channel.1.2),1) == $chr(35),Disable):_ftp.channel.1.off 2
  ...Channel #2
  ....$iif($left($R.Set(FTP,Channel.2.2),1) == $chr(35),$R.Set(FTP,Channel.2.2)):.
  ....-
  ....Change:_ftp.channel.2.on 2
  ....$iif($left($R.Set(FTP,Channel.2.2),1) == $chr(35),Disable):_ftp.channel.2.off 2
  ...Channel #3
  ....$iif($left($R.Set(FTP,Channel.3.2),1) == $chr(35),$R.Set(FTP,Channel.3.2)):.
  ....-
  ....Change:_ftp.channel.3.on 2
  ....$iif($left($R.Set(FTP,Channel.3.2),1) == $chr(35),Disable):_ftp.channel.3.off 2
  ...Channel #4
  ....$iif($left($R.Set(FTP,Channel.4.2),1) == $chr(35),$R.Set(FTP,Channel.4.2)):.
  ....-
  ....Change:_ftp.channel.4.on 2
  ....$iif($left($R.Set(FTP,Channel.4.2),1) == $chr(35),Disable):_ftp.channel.4.off 2
  ...Channel #5
  ....$iif($left($R.Set(FTP,Channel.5.2),1) == $chr(35),$R.Set(FTP,Channel.5.2)):.
  ....-
  ....Change:_ftp.channel.5.on 2
  ....$iif($left($R.Set(FTP,Channel.5.2),1) == $chr(35),Disable):_ftp.channel.5.off 2
  ...-
  ...All Channels
  ....$iif($R.Set(FTP,Channel.All.2) == On,$on,$off) On:_ftp.channel.all.on 2
  ....$iif($R.Set(FTP,Channel.All.2) == On,$off,$on) Off:_ftp.channel.all.off 2
  ..Note:_ftp.note 2
  ..Address
  ...Auto:_ftp.address.auto 2
  ...Specify:_ftp.address.specify 2
  ..Port:_ftp.port 2
  ..Max Users:_ftp.max.users 2
  .FTP #3
  ..Set Everything:setup2 ftp 3
  ..View Settings:info ftp 3
  ..-
  ..Ratio
  ...$iif($R.Set(FTP,Ratio.3) isnum,$on,$off) On:_ftp.ratio.on 3
  ...$iif($R.Set(FTP,Ratio.3) !isnum,$on,$off) Off:_ftp.ratio.off 3
  ..Login:_ftp.login 3
  ..Password:_ftp.password 3
  ..Ad Delay:_ftp.ad.delay 3
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(FTP,Channel.1.3),1) == $chr(35),$R.Set(FTP,Channel.1.3)):.
  ....-
  ....Change:_ftp.channel.1.on 3
  ....$iif($left($R.Set(FTP,Channel.1.3),1) == $chr(35),Disable):_ftp.channel.1.off 3
  ...Channel #2
  ....$iif($left($R.Set(FTP,Channel.2.3),1) == $chr(35),$R.Set(FTP,Channel.2.3)):.
  ....-
  ....Change:_ftp.channel.2.on 3
  ....$iif($left($R.Set(FTP,Channel.2.3),1) == $chr(35),Disable):_ftp.channel.2.off 3
  ...Channel #3
  ....$iif($left($R.Set(FTP,Channel.3.3),1) == $chr(35),$R.Set(FTP,Channel.3.3)):.
  ....-
  ....Change:_ftp.channel.3.on 3
  ....$iif($left($R.Set(FTP,Channel.3.3),1) == $chr(35),Disable):_ftp.channel.3.off 3
  ...Channel #4
  ....$iif($left($R.Set(FTP,Channel.4.3),1) == $chr(35),$R.Set(FTP,Channel.4.3)):.
  ....-
  ....Change:_ftp.channel.4.on 3
  ....$iif($left($R.Set(FTP,Channel.4.3),1) == $chr(35),Disable):_ftp.channel.4.off 3
  ...Channel #5
  ....$iif($left($R.Set(FTP,Channel.5.3),1) == $chr(35),$R.Set(FTP,Channel.5.3)):.
  ....-
  ....Change:_ftp.channel.5.on 3
  ....$iif($left($R.Set(FTP,Channel.5.3),1) == $chr(35),Disable):_ftp.channel.5.off 3
  ...-
  ...All Channels
  ....$iif($R.Set(FTP,Channel.All.3) == On,$on,$off) On:_ftp.channel.all.on 3
  ....$iif($R.Set(FTP,Channel.All.3) == On,$off,$on) Off:_ftp.channel.all.off 3
  ..Note:_ftp.note 3
  ..Address
  ...Auto:_ftp.address.auto 3
  ...Specify:_ftp.address.specify 3
  ..Port:_ftp.port 3
  ..Max Users:_ftp.max.users 3
  .FTP #4
  ..Set Everything:setup2 ftp 4
  ..View Settings:info ftp 4
  ..-
  ..Ratio
  ...$iif($R.Set(FTP,Ratio.4) isnum,$on,$off) On:_ftp.ratio.on 4
  ...$iif($R.Set(FTP,Ratio.4) !isnum,$on,$off) Off:_ftp.ratio.off 4
  ..Login:_ftp.login 4
  ..Password:_ftp.password 4
  ..Ad Delay:_ftp.ad.delay 4
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(FTP,Channel.1.4),1) == $chr(35),$R.Set(FTP,Channel.1.4)):.
  ....-
  ....Change:_ftp.channel.1.on 4
  ....$iif($left($R.Set(FTP,Channel.1.4),1) == $chr(35),Disable):_ftp.channel.1.off 4
  ...Channel #2
  ....$iif($left($R.Set(FTP,Channel.2.4),1) == $chr(35),$R.Set(FTP,Channel.2.4)):.
  ....-
  ....Change:_ftp.channel.2.on 4
  ....$iif($left($R.Set(FTP,Channel.2.4),1) == $chr(35),Disable):_ftp.channel.2.off 4
  ...Channel #3
  ....$iif($left($R.Set(FTP,Channel.3.4),1) == $chr(35),$R.Set(FTP,Channel.3.4)):.
  ....-
  ....Change:_ftp.channel.3.on 4
  ....$iif($left($R.Set(FTP,Channel.3.4),1) == $chr(35),Disable):_ftp.channel.3.off 4
  ...Channel #4
  ....$iif($left($R.Set(FTP,Channel.4.4),1) == $chr(35),$R.Set(FTP,Channel.4.4)):.
  ....-
  ....Change:_ftp.channel.4.on 4
  ....$iif($left($R.Set(FTP,Channel.4.4),1) == $chr(35),Disable):_ftp.channel.4.off 4
  ...Channel #5
  ....$iif($left($R.Set(FTP,Channel.5.4),1) == $chr(35),$R.Set(FTP,Channel.5.4)):.
  ....-
  ....Change:_ftp.channel.5.on 4
  ....$iif($left($R.Set(FTP,Channel.5.4),1) == $chr(35),Disable):_ftp.channel.5.off 4
  ...-
  ...All Channels
  ....$iif($R.Set(FTP,Channel.All.4) == On,$on,$off) On:_ftp.channel.all.on 4
  ....$iif($R.Set(FTP,Channel.All.4) == On,$off,$on) Off:_ftp.channel.all.off 4
  ..Note:_ftp.note 4
  ..Address
  ...Auto:_ftp.address.auto 4
  ...Specify:_ftp.address.specify 4
  ..Port:_ftp.port 4
  ..Max Users:_ftp.max.users 4
  .FTP #5
  ..Set Everything:setup2 ftp 5
  ..View Settings:info ftp 5
  ..-
  ..Ratio
  ...$iif($R.Set(FTP,Ratio.5) isnum,$on,$off) On:_ftp.ratio.on 5
  ...$iif($R.Set(FTP,Ratio.5) !isnum,$on,$off) Off:_ftp.ratio.off 5
  ..Login:_ftp.login 5
  ..Password:_ftp.password 5
  ..Ad Delay:_ftp.ad.delay 5
  ..On Channels
  ...Channel #1
  ....$iif($left($R.Set(FTP,Channel.1.5),1) == $chr(35),$R.Set(FTP,Channel.1.5)):.
  ....-
  ....Change:_ftp.channel.1.on 5
  ....$iif($left($R.Set(FTP,Channel.1.5),1) == $chr(35),Disable):_ftp.channel.1.off 5
  ...Channel #2
  ....$iif($left($R.Set(FTP,Channel.2.5),1) == $chr(35),$R.Set(FTP,Channel.2.5)):.
  ....-
  ....Change:_ftp.channel.2.on 5
  ....$iif($left($R.Set(FTP,Channel.2.5),1) == $chr(35),Disable):_ftp.channel.2.off 5
  ...Channel #3
  ....$iif($left($R.Set(FTP,Channel.3.5),1) == $chr(35),$R.Set(FTP,Channel.3.5)):.
  ....-
  ....Change:_ftp.channel.3.on 5
  ....$iif($left($R.Set(FTP,Channel.3.5),1) == $chr(35),Disable):_ftp.channel.3.off 5
  ...Channel #4
  ....$iif($left($R.Set(FTP,Channel.4.5),1) == $chr(35),$R.Set(FTP,Channel.4.5)):.
  ....-
  ....Change:_ftp.channel.4.on 5
  ....$iif($left($R.Set(FTP,Channel.4.5),1) == $chr(35),Disable):_ftp.channel.4.off 5
  ...Channel #5
  ....$iif($left($R.Set(FTP,Channel.5.5),1) == $chr(35),$R.Set(FTP,Channel.5.5)):.
  ....-
  ....Change:_ftp.channel.5.on 5
  ....$iif($left($R.Set(FTP,Channel.5.5),1) == $chr(35),Disable):_ftp.channel.5.off 5
  ...-
  ...All Channels
  ....$iif($R.Set(FTP,Channel.All.5) == On,$on,$off) On:_ftp.channel.all.on 5
  ....$iif($R.Set(FTP,Channel.All.5) == On,$off,$on) Off:_ftp.channel.all.off 5
  ..Note:_ftp.note 5
  ..Address
  ...Auto:_ftp.address.auto 5
  ...Specify:_ftp.address.specify 5
  ..Port:_ftp.port 5
  ..Max Users:_ftp.max.users 5
  FTP Ads
  .FTP #1
  ..Start System:advertise start ftp 1
  ..Stop System:advertise stop ftp 1
  ..-
  ..Just Say Ad:advertise say ftp 1
  .FTP #2
  ..Start System:advertise start ftp 2
  ..Stop System:advertise stop ftp 2
  ..-
  ..Just Say Ad:advertise say ftp 2
  .FTP #3
  ..Start System:advertise start ftp 3
  ..Stop System:advertise stop ftp 3
  ..-
  ..Just Say Ad:advertise say ftp 3
  .FTP #4
  ..Start System:advertise start ftp 4
  ..Stop System:advertise stop ftp 4
  ..-
  ..Just Say Ad:advertise say ftp 4
  .FTP #5
  ..Start System:advertise start ftp 5
  ..Stop System:advertise stop ftp 5
  ..-
  ..Just Say Ad:advertise say ftp 5
  -
  Colors
  .Primary Color
  ..Blue:_colors.primary.02
  ..Green:_colors.primary.03
  ..Red:_colors.primary.04
  ..Brown:_colors.primary.05
  ..Purple:_colors.primary.06
  ..Orange:_colors.primary.07
  ..Cyan:_colors.primary.10
  ..Royal Blue:_colors.primary.12
  ..Pink:_colors.primary.13
  ..Dark Grey:_colors.primary.14
  .Secondary Color
  ..Blue:_colors.secondary.02
  ..Green:_colors.secondary.03
  ..Red:_colors.secondary.04
  ..Brown:_colors.secondary.05
  ..Purple:_colors.secondary.06
  ..Orange:_colors.secondary.07
  ..Cyan:_colors.secondary.10
  ..Royal Blue:_colors.secondary.12
  ..Pink:_colors.secondary.13
  ..Dark Grey:_colors.secondary.14
}
